Skip to main content
POST
Create a status page

Authorizations

Authorization
string
header
required

Use a user token to access authenticated routes. The token must be specified in the Authorization HTTP header with the following format 'Authorization: Bearer '.

Headers

X-Phare-Project-Id
integer

A project header is required when using an organization-scoped API key.

Example:

1

X-Phare-Project-Slug
string

A project header is required when using an organization-scoped API key.

Example:

"luminous-guiding-tower"

Body

application/json

Status page request

name
string
required

Status page name

Example:

"Phare status"

subdomain
string
required

Subdomain name for the status page, hosted on a phare.io domain: {subdomain}.status.phare.io

Example:

"example"

title
string
required

Status page HTML title

Example:

"Phare status"

description
string
required

Status page HTML description

Example:

"Status page of phare.io"

search_engine_indexed
boolean
required

Whether search engines are allowed to index the page

Example:

true

website_url
string
required

URL to redirect users clicking the status page logo

Example:

"https://phare.io"

components
Monitor component · object[]
required

List of components to show on the status page

domain
string | null

Custom domain name for the status page

Example:

"status.example.com"

color_scheme
enum<string>

Choose the available color schemes for the status page

Available options:
all,
dark,
light
Example:

"all"

theme
object

Theme settings to customize the status page

timeframe
enum<integer>

Number of days of status and incident history to display.

Available options:
30,
60,
90
Example:

90

subscription_channels
enum<string>[]

List of active subscription channels

Maximum array length: 3
Available options:
rss,
atom,
slack
access_ips
string[] | null

List of IP addresses or CIDR ranges allowed to access the status page. Requires an active Scale plan subscription.

Required array length: 1 - 50 elements
logo_light

Manage the light theme logo of the status page (accepted formats: jpeg / png / svg)

logo_dark

Manage the dark theme logo of the status page (accepted formats: jpeg / png / svg)

favicon_light

Manage the light theme favicon of the status page (accepted formats: png / svg)

favicon_dark

Manage the dark theme favicon of the status page (accepted formats: png / svg)

access_token
string | null

Token to restrict access to the status page. Requires an active Scale plan subscription.

Required string length: 8 - 500
Example:

"secret"

access_password
string | null

Password to restrict access to the status page. Requires an active Scale plan subscription.

Required string length: 8 - 500
Example:

"secret"

Response

Success, status page created

name
string
required

Status page name

Example:

"Phare status"

subdomain
string
required

Subdomain name for the status page, hosted on a phare.io domain: {subdomain}.status.phare.io

Example:

"example"

title
string
required

Status page HTML title

Example:

"Phare status"

description
string
required

Status page HTML description

Example:

"Status page of phare.io"

search_engine_indexed
boolean
required

Whether search engines are allowed to index the page

Example:

true

website_url
string
required

URL to redirect users clicking the status page logo

Example:

"https://phare.io"

components
Monitor component · object[]
required

List of components to show on the status page

id
integer

Status page ID

Example:

1

project_id
integer

Parent project ID

Example:

1

is_private
boolean

Whether the status page requires authentication to access

Example:

false

access_password_enabled
boolean

Whether the status page is protected by a password. Requires an active Scale plan subscription.

Example:

false

access_token_enabled
boolean

Whether the status page is protected by a secret token. Requires an active Scale plan subscription.

Example:

false

domain
string | null

Custom domain name for the status page

Example:

"status.example.com"

color_scheme
enum<string>

Choose the available color schemes for the status page

Available options:
all,
dark,
light
Example:

"all"

theme
object

Theme settings to customize the status page

timeframe
enum<integer>

Number of days of status and incident history to display.

Available options:
30,
60,
90
Example:

90

subscription_channels
enum<string>[]

List of active subscription channels

Maximum array length: 3
Available options:
rss,
atom,
slack
access_ips
string[] | null

List of IP addresses or CIDR ranges allowed to access the status page. Requires an active Scale plan subscription.

Required array length: 1 - 50 elements
created_at
string<date-time>

Date of creation for the entity

updated_at
string<date-time>

Date of last update for the entity

Last modified on February 8, 2026